Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractTooltip

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  org.richfaces.component.AbstractTooltip

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, org.richfaces.component.MetaComponentEncoder, org.richfaces.component.MetaComponentResolver

Direct Known Subclasses:
  UITooltip

    public abstract class AbstractTooltip

extends javax.faces.component.UIOutput
implements AbstractDivPanel, org.richfaces.component.MetaComponentResolver, org.richfaces.component.MetaComponentEncoder

The <rich:tooltip> component provides an informational tool-tip. The tool-tip can be attached to any control and is displayed when hovering the mouse cursor over the control.

Author:
  amarkhel

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`
`static String` | `CONTENT_META_COMPONENT_ID`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Fields inherited from interface org.richfaces.component.MetaComponentResolver
`META_COMPONENT_SEPARATOR_CHAR`

Constructor Summary
`protected` | `AbstractTooltip()`

Method Summary
`void` | `encodeMetaComponent(javax.faces.context.FacesContext context, String metaComponentId)`
`String` | `getContentClientId(javax.faces.context.FacesContext context)`
`abstract org.richfaces.component.Positioning` | `getDirection()`
`String` | `getFamily()`
`abstract int` | `getHideDelay()` Delay in milliseconds before tooltip will be hidden.
`abstract String` | `getHideEvent()` Event that triggers the tooltip disappearance.
`abstract int` | `getHorizontalOffset()` Sets the horizontal offset between pop-up list and mouse pointer.
`abstract org.richfaces.component.Positioning` | `getJointPoint()`
`abstract org.richfaces.TooltipLayout` | `getLayout()` Block/inline mode flag.
`abstract org.richfaces.TooltipMode` | `getMode()` Controls the way of data loading to a tooltip.
`abstract String` | `getOnbeforehide()`
`abstract String` | `getOnbeforeshow()`
`abstract String` | `getOnhide()`
`abstract String` | `getOnshow()`
`abstract int` | `getShowDelay()` Delay in milliseconds before tooltip will be displayed.
`abstract String` | `getShowEvent()` Event that triggers the tooltip.
`abstract String` | `getStyle()`
`abstract String` | `getStyleClass()`
`String` | `getTarget()` Component ID of the target component or "null" if the component should be attached to the parent component.
`abstract int` | `getVerticalOffset()` Sets the vertical offset between pop-up list and mouse pointer.
`abstract int` | `getZindex()`
`abstract boolean` | `isAttached()` If the value of the "attached" attribute is "true", a component is attached to the parent component; if "false", component does not listen to activating browser events, but could be activated externally.
`abstract boolean` | `isFollowMouse()` If "true" tooltip should follow the mouse while it moves over the parent element.
`String` | `resolveClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)`
`void` | `setTarget(String target)`
`String` | `substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent contextComponent, String metaComponentId)`
`boolean` | `visitTree(javax.faces.component.visit.VisitContext context, javax.faces.component.visit.VisitCallback callback)`

Methods inherited from class javax.faces.component.UIOutput
`clearInitialState, getConverter, getLocalValue, getValue, markInitialState, restoreState, saveState, setConverter, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.richfaces.component.AbstractDivPanel
`getDir, getLang, getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getTitle`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

### CONTENT_META_COMPONENT_ID

    public static final String CONTENT_META_COMPONENT_ID

See Also:
  Constant Field Values

Constructor Detail

### AbstractTooltip

    protected AbstractTooltip()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIOutput`

### getTarget

    public String getTarget()

  Component ID of the target component or "null" if the component should be attached to the parent component.

### setTarget

    public void setTarget(String target)

### getLayout

    public abstract org.richfaces.TooltipLayout getLayout()

  Block/inline mode flag. Possible value are: "inline" or "block". Default value is "inline". Tooltip will contain div/span elements respectively.

### isAttached

    public abstract boolean isAttached()

  If the value of the "attached" attribute is "true", a component is attached to the parent component; if "false", component does not listen to activating browser events, but could be activated externally. Default value is "true"

### getJointPoint

    public abstract org.richfaces.component.Positioning getJointPoint()

### getDirection

    public abstract org.richfaces.component.Positioning getDirection()

### isFollowMouse

    public abstract boolean isFollowMouse()

  If "true" tooltip should follow the mouse while it moves over the parent element. Default value is "true"

### getHideDelay

    public abstract int getHideDelay()

  Delay in milliseconds before tooltip will be hidden. Default value is "0"

### getHideEvent

    public abstract String getHideEvent()

  Event that triggers the tooltip disappearance. Default value is "mouseleave"

### getHorizontalOffset

    public abstract int getHorizontalOffset()

  Sets the horizontal offset between pop-up list and mouse pointer. Default value is "10"

### getMode

    public abstract org.richfaces.TooltipMode getMode()

  Controls the way of data loading to a tooltip. May have following values: "client" (default) and "ajax"

### getShowDelay

    public abstract int getShowDelay()

  Delay in milliseconds before tooltip will be displayed. Default value is "0"

### getShowEvent

    public abstract String getShowEvent()

  Event that triggers the tooltip. Default value is "mouseenter"

### getVerticalOffset

    public abstract int getVerticalOffset()

  Sets the vertical offset between pop-up list and mouse pointer. Default value is "10"

### getStyle

    public abstract String getStyle()

  Specified by:
    `getStyle` in interface `AbstractDivPanel`

### getStyleClass

    public abstract String getStyleClass()

  Specified by:
    `getStyleClass` in interface `AbstractDivPanel`

### getZindex

    public abstract int getZindex()

### getOnhide

    public abstract String getOnhide()

### getOnshow

    public abstract String getOnshow()

### getOnbeforehide

    public abstract String getOnbeforehide()

### getOnbeforeshow

    public abstract String getOnbeforeshow()

### visitTree

    public boolean visitTree(javax.faces.component.visit.VisitContext context,
                             javax.faces.component.visit.VisitCallback callback)

  Overrides:
    `visitTree` in class `javax.faces.component.UIComponent`

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                    String metaComponentId)
                             throws IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.component.MetaComponentEncoder`
  Throws:
    `IOException`

### getContentClientId

    public String getContentClientId(javax.faces.context.FacesContext context)

### resolveClientId

    public String resolveClientId(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent contextComponent,
                                  String metaComponentId)

  Specified by:
    `resolveClientId` in interface `org.richfaces.component.MetaComponentResolver`

### substituteUnresolvedClientId

    public String substituteUnresolvedClientId(javax.faces.context.FacesContext facesContext,
                                               javax.faces.component.UIComponent contextComponent,
                                               String metaComponentId)

  Specified by:
    `substituteUnresolvedClientId` in interface `org.richfaces.component.MetaComponentResolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.1.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.